
USE AdventureWorks2008R2
GO

-- Msg 207, Level 16, State 1, Line 1
-- Invalid column name 'WKB'.
EXEC sp_help_spatial_geography_histogram 
  @tabname = [Person.Address], 
  @colname = SpatialLocation, 
  @resolution = 64,
  @sample = 100;
GO

-- no
DECLARE @tname SYSNAME = CAST(N'Person.Address' AS SYSNAME);
EXEC sp_help_spatial_geography_histogram 
  @tabname = @tname, 
  @colname = SpatialLocation, 
  @resolution = 64,
  @sample = 100;
GO

select * into #t1 from Person.Address 

use tempdb
go

-- works
EXEC sp_help_spatial_geography_histogram 
  @tabname = #t1, 
  @colname = SpatialLocation, 
  @resolution = 64,
  @sample = 100;
GO

CREATE TABLE #t2 (
  cellid int,
  cell geography,
  intersectionCount int
)

INSERT #t2
EXEC sp_help_spatial_geography_histogram 
  @tabname = #t1, 
  @colname = SpatialLocation, 
  @resolution = 64,
  @sample = 100;
GO

-- project over world map
select cellid, cell, intersectionCount
from #t2
union all
select NULL, geog, NULL
from spatialsamples..cntry00



